Subject: Re: [PATCH net-next v2] docs: networking: document NAPI

From: Jakub Kicinski <[email-masked]>
Date: Tue, 21 Mar 2023 17:50:19 -0700

On Wed, 22 Mar 2023 01:13:38 +0100 Francois Romieu wrote:
> NAPI processing also happens in the unusual context of netpoll.
> 
> I can't tell if it's better to be completely silent about it or to
> explicitely state that it is beyond the scope of the document.

I stayed away from it, because from the perspective of driver
developers and users the calling contexts should not be depended on.
So I tried to stay vague on that, and explain what they should do
rather than what the core does.